Blackboard Java Issues

BLACKBOARD REQUIRES JAVA ON YOUR COMPUTER!

  • Upgrade Java to the latest version for best results!
  • Blackboard users need a working version of Java on the local computer for Chat and other functions in Blackboard to work.
  • Users running Java version 1.7.0_21 or newer may see a Java Security Warning when attempting to use the Upload Files feature of Blackboard Learn.
    • Users will see a pop-up from Java asking whether they want to allow an application called "UploadApplet" to run.
    • Users should allow the applet to run.
    • Blackboard is working on a security patch to address this issue and to eliminate the pop-up message.
  • Do NOT use Java version 1.7.0_10 due to security issues.
  • Do NOT use Java version 1.6.0_29 due to the following problems:
    • Mac users unable to login due to a crash at the login page when the browser check runs.
    • Mac OS X users cannnot run Respondus Lockdown Browser and may receive a warning message about Java.
    • All users may get "Session Expired" message in Chat.
  • More than one version of Java installed on a computer can cause problems. To fix this problem, uninstall all previous versions and re-install only one version of Java. See the instructions to uninstall Java on Windows computers.
  • Other problems or questions? Go to Student Help.

Clearing Java Cache

  • Chat and other functions may not work at all when the Java Cache on the local computer has reached the Maximum Value set in the Control Panel.
  • Java Cache is not the same as browser cache. Clearing the browser cache will not help when Java functions are not working. The user specifically needs to clear the Java Cache.
  • PC Users - To clear Java Cache, see the instructions to clear the Java cache.
  • Mac Users - To clear Java Cache, follow these steps. (These steps may vary somewhat from Mac to Mac.)
    Hard Drive > Applications > Utilities > Java Plugin > Settings > Cache > Clear > Yes > Reset.